### Method

# Tracker SparqlConnection update_resource

since: 3.1

#### Declaration [src]

    gboolean
    tracker_sparql_connection_update_resource (
      TrackerSparqlConnection* connection,
      const gchar* graph,
      TrackerResource* resource,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Inserts a resource as described by `resource` on the given `graph`.

This method is synchronous and will block until the update is finished. See `tracker_sparql_connection_update_resource_async()` for an asynchronous variant.

It is recommented to consider the usage of `TrackerBatch` to cluster database updates. Frequent isolated SPARQL updates through this method will have a degraded performance in comparison.

Available since: 3.1

#### Parameters

`graph`

  Type: `const gchar*`

  RDF graph where the resource should be inserted/updated, or `NULL` for the default graph.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`resource`

  Type: `TrackerResource`

  A `TrackerResource`

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if there were no errors.